Package com.ngrok.definitions

# Class SshCertificateAuthority

java.lang.Object
com.ngrok.definitions.SshCertificateAuthority

public class SshCertificateAuthority extends Object
A class encapsulating the `SshCertificateAuthority` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SshCertificateAuthority(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String publicKey, String keyType)`
  Creates a new instance of `SshCertificateAuthority`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the SSH Certificate Authority API resource was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of this SSH Certificate Authority.
  `String`
  `getId()`
  unique identifier for this SSH Certificate Authority
  `String`
  `getKeyType()`
  the type of private key for this SSH Certificate Authority
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this SSH Certificate Authority.
  `String`
  `getPublicKey()`
  raw public key for this SSH Certificate Authority
  `URI`
  `getUri()`
  URI of the SSH Certificate Authority API resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SshCertificateAuthority

    public SshCertificateAuthority(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String publicKey, String keyType)
    Creates a new instance of `SshCertificateAuthority`.
    Parameters:
      `id` - unique identifier for this SSH Certificate Authority
      `uri` - URI of the SSH Certificate Authority API resource
      `createdAt` - timestamp when the SSH Certificate Authority API resource was created, RFC 3339 format
      `description` - human-readable description of this SSH Certificate Authority. optional, max 255 bytes.
      `metadata` - arbitrary user-defined machine-readable data of this SSH Certificate Authority. optional, max 4096 bytes.
      `publicKey` - raw public key for this SSH Certificate Authority
      `keyType` - the type of private key for this SSH Certificate Authority

- ## Method Details

  - ### getId

    public String getId()
    unique identifier for this SSH Certificate Authority
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the SSH Certificate Authority API resource
    Returns:
      the value of the property as a `URI`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the SSH Certificate Authority API resource was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getDescription

    public String getDescription()
    human-readable description of this SSH Certificate Authority. optional, max 255 bytes.
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this SSH Certificate Authority. optional, max 4096 bytes.
    Returns:
      the value of the property as a `String`

  - ### getPublicKey

    public String getPublicKey()
    raw public key for this SSH Certificate Authority
    Returns:
      the value of the property as a `String`

  - ### getKeyType

    public String getKeyType()
    the type of private key for this SSH Certificate Authority
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`